Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class CreateTopicResult

    java.lang.Object
      com.amazonaws.services.sns.model.CreateTopicResult

    public class CreateTopicResult

extends Object

Create Topic Result

Constructor Summary
`CreateTopicResult()`

Method Summary
`String` | `getTopicArn()` The Amazon Resource Name (ARN) assigned to the created topic.
`void` | `setTopicArn(String topicArn)` The Amazon Resource Name (ARN) assigned to the created topic.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateTopicResult` | `withTopicArn(String topicArn)` The Amazon Resource Name (ARN) assigned to the created topic.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateTopicResult

    public CreateTopicResult()

Method Detail

### getTopicArn

    public String getTopicArn()

  The Amazon Resource Name (ARN) assigned to the created topic.

  Returns:
    The Amazon Resource Name (ARN) assigned to the created topic.

### setTopicArn

    public void setTopicArn(String topicArn)

  The Amazon Resource Name (ARN) assigned to the created topic.

  Parameters:
    `topicArn` - The Amazon Resource Name (ARN) assigned to the created topic.

### withTopicArn

    public CreateTopicResult withTopicArn(String topicArn)

  The Amazon Resource Name (ARN) assigned to the created topic.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `topicArn` - The Amazon Resource Name (ARN) assigned to the created topic.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.